/publisher/:uid/stats
curl --request GET \
--url https://api.tagdeliver.com/v1/publisher/{uid}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/publisher/{uid}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/publisher/{uid}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/publisher/{uid}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/publisher/{uid}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/publisher/{uid}/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/publisher/{uid}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"hasData": true,
"start": "2026-09-23",
"end": "2026-10-22",
"dates": [
"2026-09-23",
"2026-09-24",
"2026-09-25",
"2026-09-26",
"2026-09-27",
"2026-09-28",
"2026-09-29",
"2026-09-30",
"2026-10-01",
"2026-10-02",
"2026-10-03",
"2026-10-04",
"2026-10-05",
"2026-10-06",
"2026-10-07",
"2026-10-08",
"2026-10-09",
"2026-10-10",
"2026-10-11",
"2026-10-12",
"2026-10-13",
"2026-10-14",
"2026-10-15",
"2026-10-16",
"2026-10-17",
"2026-10-18",
"2026-10-19",
"2026-10-20",
"2026-10-21",
"2026-10-22"
],
"stats": {
"ad_load": [
419609,
406136,
429145,
340825,
329541,
446989,
414802,
428621,
409809,
431046,
335697,
327919,
415200,
435173,
431040,
411640,
421279,
333064,
364153,
413602,
407268,
423028,
409550,
444050,
339165,
340814,
419523,
404833,
424075,
256765
],
"ad_load_saas": [
176283,
174429,
177258,
141870,
143321,
187600,
176633,
179345,
173603,
186930,
145484,
139802,
175999,
188429,
182756,
173664,
172723,
143270,
151585,
176705,
177039,
174559,
170539,
184203,
136461,
144623,
167819,
169985,
174218,
107889
],
"ad_miss": [
38111,
37215,
39208,
31085,
29774,
40314,
37508,
40169,
37860,
41120,
30929,
30192,
37024,
40649,
40715,
36450,
37659,
30153,
32009,
37123,
37802,
37741,
36069,
39287,
30175,
31507,
38078,
38096,
38778,
23149
],
"ad_miss_saas": [
20633,
19264,
21168,
16195,
16358,
21560,
19462,
20443,
18996,
21248,
15988,
15483,
19217,
20391,
20558,
18978,
19514,
15717,
16632,
19303,
19135,
20505,
19606,
20243,
15694,
16287,
19259,
19283,
20718,
12397
],
"ad_unit_load": [
451966,
438635,
447172,
344871,
351535,
463212,
443098,
446968,
419285,
480221,
364831,
345118,
434994,
448568,
461209,
445004,
455969,
360278,
372553,
428270,
428168,
452106,
432790,
466395,
349775,
358574,
438773,
450379,
459677,
271999
],
"ad_unit_load_saas": [
196722,
189834,
192249,
150748,
149951,
194601,
179961,
191887,
181317,
201594,
159490,
149810,
189777,
202539,
201607,
182883,
187011,
149287,
158170,
180749,
187604,
194161,
187868,
195277,
152006,
158211,
179013,
188334,
196585,
115771
],
"page_impression": [
185611,
179943,
187937,
144797,
145445,
192559,
178084,
186982,
176900,
191627,
149268,
144506,
177816,
189209,
188702,
177289,
182886,
145937,
154906,
176936,
179056,
182315,
177027,
187998,
144831,
149440,
176526,
179363,
184489,
109465
],
"bad_traffic": [
853,
710,
606,
679,
523,
909,
913,
701,
665,
971,
677,
463,
552,
598,
938,
839,
576,
698,
798,
774,
651,
750,
551,
532,
743,
651,
717,
904,
708,
535
],
"tag_error": [
280,
166,
180,
144,
138,
247,
172,
209,
149,
305,
158,
167,
227,
300,
212,
283,
219,
179,
189,
130,
204,
163,
128,
279,
128,
175,
249,
224,
190,
133
],
"cx_pages_crawled": [
111,
101,
140,
139,
53,
153,
111,
47,
71,
64,
75,
45,
138,
52,
104,
97,
111,
43,
137,
154,
156,
48,
96,
81,
118,
104,
117,
105,
65,
null
],
"cmp_not_found": [
3043,
3249,
3798,
2614,
2353,
3498,
3687,
3941,
3722,
3991,
2367,
2546,
3093,
3259,
3146,
3409,
3197,
2324,
2568,
2703,
3580,
3858,
3369,
3202,
2349,
2299,
3136,
3547,
2781,
2273
],
"consent_denied": [
16141,
16466,
16447,
13300,
13736,
17163,
15901,
16587,
15271,
17015,
13216,
12951,
16328,
16831,
17012,
15629,
17218,
12625,
14525,
15491,
16721,
15725,
15569,
17606,
12619,
13793,
16395,
16706,
16896,
10291
],
"consent_given": [
131040,
128040,
133553,
102772,
102194,
134904,
128712,
130234,
128577,
134168,
102907,
100066,
124435,
135210,
131746,
124096,
126901,
100578,
113245,
125004,
130298,
130388,
122244,
135156,
105533,
109089,
123542,
124911,
134384,
78320
],
"tag_latency_50th": [
477,
507,
436,
447,
467,
474,
496,
432,
444,
454,
512,
412,
442,
414,
411,
412,
503,
474,
480,
434,
475,
470,
441,
467,
423,
494,
514,
493,
465,
494
],
"page_latency_50th": [
1903,
1929,
1851,
1909,
1807,
2002,
1760,
1767,
1825,
1751,
2011,
2023,
1975,
1721,
1857,
1827,
1677,
1716,
1657,
1686,
1970,
2029,
1780,
1870,
1733,
1678,
1693,
1990,
1845,
1909
]
},
"totals": {
"ad_load": 11814361,
"ad_load_saas": 4975024,
"ad_miss": 1075949,
"ad_miss_saas": 560235,
"ad_unit_load": 12512393,
"ad_unit_load_saas": 5345017,
"page_impression": 5127850,
"bad_traffic": 21185,
"tag_error": 5927,
"cx_pages_crawled": 2836,
"cmp_not_found": 92902,
"consent_denied": 462174,
"consent_given": 3632247,
"tag_latency_50th": 13864,
"page_latency_50th": 55151
}
},
"success": true
}Publisher/Publisher Meta
/publisher/:uid/stats
Daily tag activity for one publisher over the last 30 days, including today: ad loads and misses, page impressions, tag errors, consent outcomes and latency
GET
/
v1
/
publisher
/
{uid}
/
stats
/publisher/:uid/stats
curl --request GET \
--url https://api.tagdeliver.com/v1/publisher/{uid}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/publisher/{uid}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/publisher/{uid}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/publisher/{uid}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/publisher/{uid}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/publisher/{uid}/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/publisher/{uid}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"hasData": true,
"start": "2026-09-23",
"end": "2026-10-22",
"dates": [
"2026-09-23",
"2026-09-24",
"2026-09-25",
"2026-09-26",
"2026-09-27",
"2026-09-28",
"2026-09-29",
"2026-09-30",
"2026-10-01",
"2026-10-02",
"2026-10-03",
"2026-10-04",
"2026-10-05",
"2026-10-06",
"2026-10-07",
"2026-10-08",
"2026-10-09",
"2026-10-10",
"2026-10-11",
"2026-10-12",
"2026-10-13",
"2026-10-14",
"2026-10-15",
"2026-10-16",
"2026-10-17",
"2026-10-18",
"2026-10-19",
"2026-10-20",
"2026-10-21",
"2026-10-22"
],
"stats": {
"ad_load": [
419609,
406136,
429145,
340825,
329541,
446989,
414802,
428621,
409809,
431046,
335697,
327919,
415200,
435173,
431040,
411640,
421279,
333064,
364153,
413602,
407268,
423028,
409550,
444050,
339165,
340814,
419523,
404833,
424075,
256765
],
"ad_load_saas": [
176283,
174429,
177258,
141870,
143321,
187600,
176633,
179345,
173603,
186930,
145484,
139802,
175999,
188429,
182756,
173664,
172723,
143270,
151585,
176705,
177039,
174559,
170539,
184203,
136461,
144623,
167819,
169985,
174218,
107889
],
"ad_miss": [
38111,
37215,
39208,
31085,
29774,
40314,
37508,
40169,
37860,
41120,
30929,
30192,
37024,
40649,
40715,
36450,
37659,
30153,
32009,
37123,
37802,
37741,
36069,
39287,
30175,
31507,
38078,
38096,
38778,
23149
],
"ad_miss_saas": [
20633,
19264,
21168,
16195,
16358,
21560,
19462,
20443,
18996,
21248,
15988,
15483,
19217,
20391,
20558,
18978,
19514,
15717,
16632,
19303,
19135,
20505,
19606,
20243,
15694,
16287,
19259,
19283,
20718,
12397
],
"ad_unit_load": [
451966,
438635,
447172,
344871,
351535,
463212,
443098,
446968,
419285,
480221,
364831,
345118,
434994,
448568,
461209,
445004,
455969,
360278,
372553,
428270,
428168,
452106,
432790,
466395,
349775,
358574,
438773,
450379,
459677,
271999
],
"ad_unit_load_saas": [
196722,
189834,
192249,
150748,
149951,
194601,
179961,
191887,
181317,
201594,
159490,
149810,
189777,
202539,
201607,
182883,
187011,
149287,
158170,
180749,
187604,
194161,
187868,
195277,
152006,
158211,
179013,
188334,
196585,
115771
],
"page_impression": [
185611,
179943,
187937,
144797,
145445,
192559,
178084,
186982,
176900,
191627,
149268,
144506,
177816,
189209,
188702,
177289,
182886,
145937,
154906,
176936,
179056,
182315,
177027,
187998,
144831,
149440,
176526,
179363,
184489,
109465
],
"bad_traffic": [
853,
710,
606,
679,
523,
909,
913,
701,
665,
971,
677,
463,
552,
598,
938,
839,
576,
698,
798,
774,
651,
750,
551,
532,
743,
651,
717,
904,
708,
535
],
"tag_error": [
280,
166,
180,
144,
138,
247,
172,
209,
149,
305,
158,
167,
227,
300,
212,
283,
219,
179,
189,
130,
204,
163,
128,
279,
128,
175,
249,
224,
190,
133
],
"cx_pages_crawled": [
111,
101,
140,
139,
53,
153,
111,
47,
71,
64,
75,
45,
138,
52,
104,
97,
111,
43,
137,
154,
156,
48,
96,
81,
118,
104,
117,
105,
65,
null
],
"cmp_not_found": [
3043,
3249,
3798,
2614,
2353,
3498,
3687,
3941,
3722,
3991,
2367,
2546,
3093,
3259,
3146,
3409,
3197,
2324,
2568,
2703,
3580,
3858,
3369,
3202,
2349,
2299,
3136,
3547,
2781,
2273
],
"consent_denied": [
16141,
16466,
16447,
13300,
13736,
17163,
15901,
16587,
15271,
17015,
13216,
12951,
16328,
16831,
17012,
15629,
17218,
12625,
14525,
15491,
16721,
15725,
15569,
17606,
12619,
13793,
16395,
16706,
16896,
10291
],
"consent_given": [
131040,
128040,
133553,
102772,
102194,
134904,
128712,
130234,
128577,
134168,
102907,
100066,
124435,
135210,
131746,
124096,
126901,
100578,
113245,
125004,
130298,
130388,
122244,
135156,
105533,
109089,
123542,
124911,
134384,
78320
],
"tag_latency_50th": [
477,
507,
436,
447,
467,
474,
496,
432,
444,
454,
512,
412,
442,
414,
411,
412,
503,
474,
480,
434,
475,
470,
441,
467,
423,
494,
514,
493,
465,
494
],
"page_latency_50th": [
1903,
1929,
1851,
1909,
1807,
2002,
1760,
1767,
1825,
1751,
2011,
2023,
1975,
1721,
1857,
1827,
1677,
1716,
1657,
1686,
1970,
2029,
1780,
1870,
1733,
1678,
1693,
1990,
1845,
1909
]
},
"totals": {
"ad_load": 11814361,
"ad_load_saas": 4975024,
"ad_miss": 1075949,
"ad_miss_saas": 560235,
"ad_unit_load": 12512393,
"ad_unit_load_saas": 5345017,
"page_impression": 5127850,
"bad_traffic": 21185,
"tag_error": 5927,
"cx_pages_crawled": 2836,
"cmp_not_found": 92902,
"consent_denied": 462174,
"consent_given": 3632247,
"tag_latency_50th": 13864,
"page_latency_50th": 55151
}
},
"success": true
}Was this page helpful?
⌘I